std::exponential_distribution< _RealType >::param_type(3cxx)

NAME
std::exponential_distribution< _RealType >::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef exponential_distribution< _RealType > distribution_type

  Public Member Functions

param_type (_RealType __lambda)
_RealType lambda () const

  Friends

bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _RealType = double>
struct std::exponential_distribution< _RealType >::param_type"Parameter type.

Definition at line 4649 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef exponential_distribution<_RealType> std::exponential_distribution< _RealType >::param_type::distribution_type

Definition at line 4651 of file random.h.

Constructor & Destructor Documentation

  template<typename _RealType = double> std::exponential_distribution< _RealType >::param_type::param_type () [inline]

Definition at line 4653 of file random.h.

  template<typename _RealType = double> std::exponential_distribution< _RealType >::param_type::param_type (_RealType __lambda) [inline], [explicit]

Definition at line 4656 of file random.h.

Member Function Documentation

  template<typename _RealType = double> _RealType std::exponential_distribution< _RealType >::param_type::lambda () const [inline]

Definition at line 4663 of file random.h.

Friends And Related Symbol Documentation

  template<typename _RealType = double> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4671 of file random.h.

  template<typename _RealType = double> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 4667 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.